[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarInvalidOp

Raise a EVariantInvalidOpError error

## Declaration

Source position: variants.pp line 295

`procedure VarInvalidOp; procedure VarInvalidOp(`
`const aLeft: tvartype;`
`const aRight: tvartype;`
`aOpCode: tvarop`
`); procedure VarInvalidOp(`
`const aRight: tvartype;`
`aOpCode: tvarop`
`);`

## Arguments

`aLeft` |  | Left operand variant type
`aRight` |  | Right operand variant type
`aOpCode` |  | Operation performed

## Arguments

`aRight` |  | Right operand variant type
`aOpCode` |  | Operation performed

## Description

VarInvalidOp raises an EVariantInvalidOpError exception. when the left and/or right operand types (aLeft, aRight and the operation are specified, a description of the operand types and operation is included in the error message.

## See also

EVariantInvalidOpError |  | Error raised when an invalid operation is performed
VarCastError |  | Raise a variant type cast error EVariantTypeCastError